org.keycloak.protocol.docker

## Class DockerEndpoint

- java.lang.Object
- - org.keycloak.protocol.AuthorizationEndpointBase
  - - org.keycloak.protocol.docker.DockerEndpoint

-     public class DockerEndpoint
      extends AuthorizationEndpointBase

  Implements a docker-client understandable format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `APP_INITIATED_FLOW, authManager, clientConnection, event, headers, httpRequest, realm, session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockerEndpoint(RealmModel realm, EventBuilder event, EventType login)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `build()`
    `protected AuthenticationFlowModel` | `getAuthenticationFlow(AuthenticationSessionModel authSession)`

    - ### Methods inherited from class org.keycloak.protocol.AuthorizationEndpointBase

      `checkRealm, checkSsl, createAuthenticationSession, createProcessor, handleBrowserAuthenticationRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### DockerEndpoint

          public DockerEndpoint(RealmModel realm,
                                EventBuilder event,
                                EventType login)

  - ### Method Detail

    - #### build

          @GET
          public javax.ws.rs.core.Response build()

    - #### getAuthenticationFlow

          protected AuthenticationFlowModel getAuthenticationFlow(AuthenticationSessionModel authSession)

      Overrides:
        `getAuthenticationFlow` in class `AuthorizationEndpointBase`

Copyright © 2021 JBoss by Red Hat. All rights reserved.